AM_CPPFLAGS = \
	-I$(top_srcdir)/include \
	-DGLM_FORCE_RADIANS \
	-DDATADIR=\"$(datadir)\"

#*************#
lib_LTLIBRARIES = \
	libposture-@LIBPOSTURE_API_VERSION@.la

libposture_@LIBPOSTURE_API_VERSION@_la_SOURCES = \
	calibrationreader.cpp \
	colorize.cpp \
	colorize-impl.cpp \
	detect.cpp \
	detect-impl.cpp \
	directmesher.cpp \
	display.cpp \
	display-impl.cpp \
	filter.cpp \
	meshmerger.cpp \
	meshmerger-impl.cpp \
	meshserializer.cpp \
	pointcloudmerger.cpp \
	pointcloudmerger-impl.cpp \
	pointcloudserializer.cpp \
	register.cpp \
	register-impl.cpp \
	shader.cpp \
	solidify.cpp \
	solidify-impl.cpp \
	triggergrabber.cpp

if WITH_ZCAMERA
libposture_@LIBPOSTURE_API_VERSION@_la_SOURCES += \
	zcamera.cpp \
	zcamera-impl.cpp
endif

if HAVE_GLFW
libposture_@LIBPOSTURE_API_VERSION@_la_SOURCES += \
	glEngine.cpp \
	colorizeGL.cpp \
	colorizeGL-impl.cpp \
	sculptGL.cpp \
	sculptGL-impl.cpp \
	solidifyGPU.cpp \
	solidifyGPU-impl.cpp
endif

libposture_@LIBPOSTURE_API_VERSION@_la_includedir = \
	$(includedir)/posture-$(LIBPOSTURE_API_VERSION)/posture

libposture_@LIBPOSTURE_API_VERSION@_la_include_HEADERS = \
	$(top_srcdir)/include/posturevision.h \
	$(top_srcdir)/include/calibrationreader.h \
	$(top_srcdir)/include/colorize.h \
	$(top_srcdir)/include/colorizeGL.h \
	$(top_srcdir)/include/constants.h \
	$(top_srcdir)/include/coretypes.h \
	$(top_srcdir)/include/detect.h \
	$(top_srcdir)/include/directmesher.h \
	$(top_srcdir)/include/display.h \
	$(top_srcdir)/include/filter.h \
	$(top_srcdir)/include/meshmerger.h \
	$(top_srcdir)/include/meshserializer.h \
	$(top_srcdir)/include/pointcloudmerger.h \
	$(top_srcdir)/include/register.h \
	$(top_srcdir)/include/shapes.h \
	$(top_srcdir)/include/solidify.h \
	$(top_srcdir)/include/solidifyGPU.h \
	$(top_srcdir)/include/triggergrabber.h \
	$(top_srcdir)/include/sculptGL.h \
	$(top_srcdir)/include/zcamera.h
	
libposture_@LIBPOSTURE_API_VERSION@_la_CXXFLAGS = \
	$(PCL_CFLAGS) \
 	$(EIGEN_CFLAGS) \
	$(FREENECT2_CFLAGS) \
	$(GLFW_CFLAGS) \
 	$(OPENNI_CFLAGS) \
 	$(OPENNI2_CFLAGS) \
	$(LIBXML_CFLAGS)

libposture_@LIBPOSTURE_API_VERSION@_la_LDFLAGS = \
 	$(PCL_LIBS) \
	$(FREENECT2_LIBS) \
	$(GLFW_LIBS) \
 	$(LIBXML_LIBS) \
 	$(OPENNI_LIBS) \
 	$(OPENNI2_LIBS) \
	-lopenctm

if WITH_REALSENSE
libposture_@LIBPOSTURE_API_VERSION@_la_LDFLAGS += \
	-lrealsense
endif

noinst_HEADERS = \
	$(top_srcdir)/include/colorize-impl.h \
	$(top_srcdir)/include/colorizeGL-impl.h \
	$(top_srcdir)/include/detect-impl.h \
	$(top_srcdir)/include/display-impl.h \
	$(top_srcdir)/include/glEngine.h \
	$(top_srcdir)/include/meshmerger-impl.h \
	$(top_srcdir)/include/pointcloudmerger-impl.h \
	$(top_srcdir)/include/register-impl.h \
	$(top_srcdir)/include/shader.h \
	$(top_srcdir)/include/solidify-impl.h \
 	$(top_srcdir)/include/solidifyGPU-impl.h \
	$(top_srcdir)/include/pointcloudserializer.h \
	$(top_srcdir)/include/sculptGL-impl.h \
	$(top_srcdir)/include/zcamera-impl.h
